Page MenuHomePhabricator

[DAGCombine] Match more patterns for half word bswap
ClosedPublic

Authored by deadalnix on Sep 30 2019, 3:54 PM.

Diff Detail

Event Timeline

deadalnix created this revision.Sep 30 2019, 3:54 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 30 2019, 3:54 PM

vector tests?

lib/CodeGen/SelectionDAG/DAGCombiner.cpp
5773 ↗(On Diff #222511)

Vector support by using isConstOrConstSplat ?

5774 ↗(On Diff #222511)

!C || C->getAPIntValue() != 16 (helps avoid fuzz test failures)

deadalnix updated this revision to Diff 222800.Oct 2 2019, 4:34 AM
deadalnix marked an inline comment as done.

Use isConstOrConstSplat and getAPIntValue

RKSimon accepted this revision.Oct 4 2019, 10:14 AM

LGTM

This revision is now accepted and ready to land.Oct 4 2019, 10:14 AM
This revision was automatically updated to reflect the committed changes.
spatel reopened this revision.Oct 6 2019, 8:29 AM
spatel added a subscriber: spatel.

I reverted this patch because it caused many bots to fail on AArch64/ARM/AMDGPU codegen tests like:
http://lab.llvm.org:8011/builders/clang-x86_64-debian-fast/builds/18791/steps/test/logs/stdio

This revision is now accepted and ready to land.Oct 6 2019, 8:29 AM
spatel requested changes to this revision.Oct 6 2019, 8:29 AM
This revision now requires changes to proceed.Oct 6 2019, 8:29 AM
deadalnix updated this revision to Diff 223892.Oct 8 2019, 9:42 AM

Fix erroneously inverted condition and ensuring previously broken tests are now passing again.

spatel accepted this revision.Oct 9 2019, 11:55 AM

LGTM - I applied the patch locally and ran 'make check' and don't see failures now.

This revision is now accepted and ready to land.Oct 9 2019, 11:55 AM
Closed by commit rGaaf050789664: [DAGCombine] Match more patterns for half word bswap (authored by Amaury Sechet <deadalnix@gmail.com>). · Explain WhyOct 10 2019, 6:19 AM
This revision was automatically updated to reflect the committed changes.